package cz.moneta.test.dsl.ufo.banka.pages.income;

import cz.moneta.test.dsl.ufo.banka.pages.common.pages.OBR001_S001_PrintInstructionPage;
import cz.moneta.test.dsl.ufo.banka.pages.fon.CIF113_S001_ChangeDataFO;
import cz.moneta.test.dsl.ufo.banka.pages.fon.TIS050_S001_SignerSelectionPage;
import cz.moneta.test.dsl.ufo.banka.pages.loans.NEP002_S001_ApplicantPage;
import cz.moneta.test.dsl.ufo.banka.pages.main.DOK001_S001_SelectionOfSubmittedDocumentsPage;
import cz.moneta.test.harness.support.web.WebFlow;

public interface PIM001_S001_IncomeEditPageTransitions extends WebFlow<PIM001_S001_IncomeEditPageTransitions> {

    NEP002_S001_ApplicantPage onApplicantPage();

    CIF113_S001_ChangeDataFO onChangeDataFO();

    OBR001_S001_PrintInstructionPage onPrintInstructionPage();

    DOK001_S001_SelectionOfSubmittedDocumentsPage onSelectionOfSubmittedDocumentsPage();

    TIS050_S001_SignerSelectionPage onSignerSelectionPage();
}
